package com.tanpu.fund.api.model.req;

import com.tanpu.common.model.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("产品查询入参")
@Data
public class ProductInfoReq {

    @ApiModelProperty("排序 默认由倒序高到底 1:倒序 2:正序")
    private String sort;

    @ApiModelProperty("策略")
    private List<String> list;

    @ApiModelProperty("开放日筛选 1: 一个月 2: 两个月 ... 99: 不限")
    private String month;

    @ApiModelProperty("对比产品")
    private String ratioId;

    @ApiModelProperty("净值排序 默认倒叙 1:倒叙 2:正序")
    private String netSort;

    @ApiModelProperty("近一年排序 默认倒叙 1:倒叙 2:正序")
    private String near1YearSort;

    @ApiModelProperty("成立以来收益率 1:倒叙 2:正序")
    private String retIncepSort;

    @ApiModelProperty("分页信息")
    private Pageable page;
}
