package com.tanpu.fund.api.model.resp;

import com.tanpu.common.model.product.resp.Net;
import com.tanpu.common.model.product.resp.ProductLabel;
import com.tanpu.fund.api.model.FundInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */

@ApiModel("基金组详情")
@Data
@Builder
public class FundGroupVO {

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("基金类型")
    private String bonusType;

    @ApiModelProperty("近一年收益")
    private String near1YearRatio;

    @ApiModelProperty("风险等级")
    private Integer riskLevel;

    @ApiModelProperty("最新净值")
    private Net net;

    @ApiModelProperty("近一个月收益")
    private String near1Month;

    @ApiModelProperty("组合目标")
    private String groupTarget;

    @ApiModelProperty("成立以来")
    private String retIncep;

    @ApiModelProperty("适合客户群体")
    private String customerGroup;

    @ApiModelProperty("组合点评")
    private String groupComment;

    @ApiModelProperty("调仓点评")
    private String transferComment;

    @ApiModelProperty("组合基金标签")
    private List<ProductLabel> productLabels;

    @ApiModelProperty("基金占比")
    private List<FundInfoVO> fundInfoVOList;
}
