package com.tanpu.fund.api.model.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("基金档案信息")
@Data
public class FundRecordVO {

    @ApiModelProperty("产品全称")
    private String productName;

    @ApiModelProperty("基金id")
    private String id;

    @ApiModelProperty("风险等级")
    private String riskLevel;

    @ApiModelProperty("投资顾问 id")
    private String advisorId;

    @ApiModelProperty("投资顾问 name")
    private String advisorName;

    @ApiModelProperty("基金管理人 id")
    private String fundManagerId;

    @ApiModelProperty("基金管理人 name")
    private String fundManagerName;

    @ApiModelProperty("基金托管人id")
    private String fundCustodianId;

    @ApiModelProperty("基金托管人")
    private String fundCustodian;

    @ApiModelProperty("外包机构 id")
    private String liquidationAgencyId;

    @ApiModelProperty("外包机构 name")
    private String liquidationAgencyName;

    @ApiModelProperty("证券经纪人 id")
    private String brokerId;

    @ApiModelProperty("证券经纪人 name")
    private String brokerName;

    @ApiModelProperty("期货经纪人 id")
    private String brokerFutureId;

    @ApiModelProperty("期货经纪人 name")
    private String brokerFutureName;

    @ApiModelProperty("成立日")
    private Long foundDate;

    @ApiModelProperty("运行状态")
    private String fundStatus;

    @ApiModelProperty("运行状态 value")
    private String fundStatusValue;

    @ApiModelProperty("产品类型")
    private Integer fundType;

    @ApiModelProperty("value")
    private String fundTypeValue;

    @ApiModelProperty("初始规模")
    private String initialSize;

    @ApiModelProperty("投资/子策略")
    private String aaa;

    @ApiModelProperty("备案编号")
    private String registerNumber;

    @ApiModelProperty("认购起点")
    private String minInvestmentShare;

    @ApiModelProperty("追加起点")
    private String subsequentInvestmentShare;

//    @ApiModelProperty("封闭期")
//    private String aa;

    @ApiModelProperty("开放日")
    private String bb;


    @ApiModelProperty("基金code")
    private String code;


    @ApiModelProperty("发行规模")
    private String issue;

    @ApiModelProperty("公司id")
    private String companyId;

    @ApiModelProperty("基金公司")
    private String companyName;


}
