package com.tanpu.fund.mapper.generator.custom;

import com.tanpu.common.model.product.resp.FilePreviewResp;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface FundInfoCustomMapper {
    /**
     * 根据披露频率和基金运行状态查询需要计算的基金
     *
     * @param navFrequency
     * @param fundStatus
     * @return
     */
    List<String> queryFundNavByCondition(@Param("navFrequency") int navFrequency,
                                         @Param("fundStatus") List fundStatus,
                                         @Param("offset") int offset,
                                         @Param("length") int length);

    @MapKey("id")
    Map<String, Object> getFundInfoReport(@Param("ids") String ids);

    List<FundNav> getFundInfoLastNet(@Param("list") List<String> fundIdList);

    @Select("select t.id as fileId,t.logical_path as previewUrl from fund_file_record t where t.id in(${list})")
    List<FilePreviewResp> getFilePreviewUrl(@Param("list") String list);
}
